Package com.pixelmed.apps

# Class CopyOnlyHeadOfMultipleStructuredReportsAndReferences

java.lang.Object
com.pixelmed.apps.CopyOnlyHeadOfMultipleStructuredReportsAndReferences

public class CopyOnlyHeadOfMultipleStructuredReportsAndReferences extends Object

A class to process multiple SR files and their referenced instances (like Presentation States and Segmentations) and copy only the head (most recent) of the Predecessor Documents sequence chain and its references, ignoring earlier (obsolete) SR files and earlier references.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`CopyOnlyHeadOfMultipleStructuredReportsAndReferences.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ourAETitle`

## Constructor Summary

Constructors
Constructor
Description
`CopyOnlyHeadOfMultipleStructuredReportsAndReferences(String[] srcs, String dstFolderName)`
Copy only the most recent SR files and their references.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Copy only the most recent SR files and their references.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

## Constructor Details

### CopyOnlyHeadOfMultipleStructuredReportsAndReferences

public CopyOnlyHeadOfMultipleStructuredReportsAndReferences(String[] srcs, String dstFolderName) throws FileNotFoundException, IOException, DicomException

Copy only the most recent SR files and their references.

Parameters:
  `srcs` -
  `dstFolderName` -
Throws:
  `FileNotFoundException`
  `IOException`
  `DicomException`

## Method Details

### main

public static void main(String[] arg)

Copy only the most recent SR files and their references.

Parameters:
  `arg` - array of 2 or more strings - one or more source folder or DICOMDIR and a destination folder